IssuerAndSerialNumber (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.pkcs

## Class IssuerAndSerialNumber

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.IssuerAndSerialNumber

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class IssuerAndSerialNumber
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssuerAndSerialNumber(X500Name name, java.math.BigInteger certSerialNumber)`
    `IssuerAndSerialNumber(X509Name name, ASN1Integer certSerialNumber)`
    `IssuerAndSerialNumber(X509Name name, java.math.BigInteger certSerialNumber)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer` | `getCertificateSerialNumber()`
    `static IssuerAndSerialNumber` | `getInstance(java.lang.Object obj)`
    `X500Name` | `getName()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X509Name name,
                                       java.math.BigInteger certSerialNumber)

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X509Name name,
                                       ASN1Integer certSerialNumber)

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X500Name name,
                                       java.math.BigInteger certSerialNumber)

  - ### Method Detail

    - #### getInstance

          public static IssuerAndSerialNumber getInstance(java.lang.Object obj)

    - #### getName

          public X500Name getName()

    - #### getCertificateSerialNumber

          public ASN1Integer getCertificateSerialNumber()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.